/* CHK=0xB061 */
/*+-------------------------------------------------------------------------
	stdio_lint.h -- prototyping for library routines
	wht%n4hgf@gatech.edu
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:05-07-1990-21:24-wht@n4hgf---- 2.80 --- */
/*:03-25-1990-14:12-wht@n4hgf------ x2.70 ------- */
/*:06-11-1989-21:36-wht-source control point 1.85 */
/*:12-31-1988-12:55-wht-no more BSD support + first I386 support */
/*:06-11-1988-16:14-wht-extraction from MSC 4.0 include files */

#if defined(LINT_ARGS)
char *gets(char *);
char *getenv(char *);
int access(char *,int);
int chmod(char *,int);
int close(int);
int creat(char *,int);
int dup(int);
int fcloseall(void);
int isatty(int);
long lseek(int,long,int);
int puts(char *);
int read(int,char *,unsigned int);
#if !defined(M_UNIX)
int strcmp(char *,char *);
int strncmp(char *,char*,int);
char *strcpy(char *,char *);
char *strncpy(char *,char *,int);
char *strcat(char *,char *);
char *strncat(char *,char *,int);
char *strchr(char *,char);
char *strrchr(char *,char);
#endif
int stat(char *,struct stat *);
int fstat(int,struct stat *);
long time(long *);
int unlink(char *);
int write(int,char *,unsigned int);
#else
char *fgets();
void free();
char *getenv();
char *gets();
long ftell();
long lseek();
void perror();
void rewind();
void setbuf();
long time();
char *strcpy();
char *strncpy();
char *strcat();
char *strncat();
char *strchr();
char *strrchr();
#endif
/* vi: set tabstop=4 shiftwidth=4: */
