/* CHK=0x545A */
/*+-----------------------------------------------------------------------
	zlint.h
------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:05-08-1990-02:41-afterlint-creation */

#ifndef BUILDING_LINT_ARGS
#ifdef LINT_ARGS

/* zcommon.c */
int get_home_dir(char *);
int mode(int );
int sendbrk(void );
int zmputs(char *);
static  unsigned int getspeed(int );
void get_curr_dir(char *,int );
/* zcurses.c */
char *get_elapsed_time(long );
char *get_tod(int ,char *);
char *mode_map(unsigned short ,char *);
int clear_area(struct _win_st *,int ,int ,int );
int clear_area_char(struct _win_st *,int ,int ,int ,char );
int report_comm_baud_rate(unsigned int );
int report_error_count(void );
int report_file_byte_io(long );
int report_file_open_length(long );
int report_file_open_mode(unsigned short );
int report_file_rcv_started(char *,long ,long ,unsigned short );
int report_protocol_crc_type(char *);
int report_protocol_type(char *);
int report_rx_tx_count(void );
int report_xfer_mode(char *);
void report_file_close(void );
void report_file_open_tod(void );
void report_file_send_open(char *,struct stat *);
void report_init(char *);
void report_last_rxhdr(char *,int );
void report_last_txhdr(char *,int );
void report_mode(int );
void report_rx_ind(int );
void report_rxblklen(int );
void report_rxpos(long );
void report_str(char *,int );
void report_top_line(char *);
void report_transaction(char *);
void report_tx_ind(int );
void report_txblklen(int );
void report_txpos(long );
void report_uninit(int );
/* zdebug.c */
/* zmodem.c */
int noxrd7(void );
int stohdr(long );
int zdlread(void );
int zgeth1(void );
int zgethdr(char *,int );
int zgethex(void );
int zputhex(int );
int zrbhdr(char *);
int zrbhdr32(char *);
int zrdat32(char *,int );
int zrdata(char *,int );
int zrhhdr(char *);
int zsbh32(char *,int );
int zsbhdr(int ,unsigned char *);
int zsda32(char *,int ,int );
int zsdata(unsigned char *,int ,int );
int zsendline(int );
int zshhdr(int ,unsigned char *);
long rclhdr(char *);

#else		/* compiler doesn't know about prototyping */

/* zcommon.c */
static  unsigned int getspeed();
void get_curr_dir();
/* zcurses.c */
char *get_elapsed_time();
char *get_tod();
char *mode_map();
void report_file_close();
void report_file_open_tod();
void report_file_send_open();
void report_init();
void report_last_rxhdr();
void report_last_txhdr();
void report_mode();
void report_rx_ind();
void report_rxblklen();
void report_rxpos();
void report_str();
void report_top_line();
void report_transaction();
void report_tx_ind();
void report_txblklen();
void report_txpos();
void report_uninit();
/* zdebug.c */
/* zmodem.c */
long rclhdr();

#endif /* LINT_ARGS */
#endif /* BUILDING_LINT_ARGS */

/* end of zlint.h */
