/* CHK=0xB0D5 */
/*+-------------------------------------------------------------------------
	dialer.h - HDB UUCP dialer program return code error codes
	wht%n4hgf@gatech.edu
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:05-07-1990-21:24-wht@n4hgf---- 2.80 --- */
/*:03-25-1990-14:11-wht@n4hgf------ x2.70 ------- */
/*:07-03-1989-22:57-wht------ x2.00 ----- */
/*:07-01-1989-21:56-wht-creation */

#define	RC_FAIL		0x80	/* 1 = failed to connect */
#define	RCE_NULL	0		/* general purpose or unknown error code */
#define	RCE_INUSE	1		/* line in use */
#define	RCE_SIG		2		/* signal aborted dialer */
#define	RCE_ARGS	3		/* invalid arguments */
#define	RCE_PHNO	4		/* invalid phone number */
#define	RCE_SPEED	5		/* invalid baud rate -or- bad connect baud */
#define	RCE_OPEN	6		/* can't open line */
#define	RCE_IOCTL	7		/* ioctl error */
#define	RCE_TIMOUT	8		/* timeout */
#define	RCE_NOTONE	9		/* no dial tone */
#define	RCE_BUSY	13		/* phone is busy */
#define	RCE_NOCARR	14		/* no carrier */
#define	RCE_ANSWER	15		/* no answer */

/* code writing aid */
#ifdef NEVER
		case RCE_NULL:		/* general purpose or unknown error code */
		case RCE_INUSE:		/* line in use */
		case RCE_SIG:		/* signal aborted dialer */
		case RCE_ARGS:		/* invalid arguments */
		case RCE_PHNO:		/* invalid phone number */
		case RCE_SPEED:		/* invalid baud rate -or- bad connect baud */
		case RCE_OPEN:		/* can't open line */
		case RCE_IOCTL:		/* ioctl error */
		case RCE_TIMOUT:	/* timeout */
		case RCE_NOTONE:	/* no dial tone */
		case RCE_BUSY:		/* phone is busy */
		case RCE_NOCARR:	/* no carrier */
		case RCE_ANSWER:	/* no answer */
#endif

/* vi: set tabstop=4 shiftwidth=4: */
/* end of dialer.h */
