/* CHK=0xEFED */
/*+-------------------------------------------------------------------------
	dvent.h - HDB UUCP Devices file entry (a la pwent.h)
	wht%n4hgf@gatech.edu
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:05-07-1990-21:24-wht@n4hgf---- 2.80 --- */
/*:03-25-1990-14:11-wht@n4hgf------ x2.70 ------- */
/*:07-03-1989-22:57-wht------ x2.00 ----- */
/*:07-01-1989-14:50-wht-creation */

struct dvent
{
	char *type;		/* ACU or Direct */
	char *line;		/* tty  name "ttyxx"-style */
	char *dialer;	/* "801" dialer line */
	uint low_baud;	/* lowest baud rate */
	uint high_baud;	/* highest baud rate */
	char *dialprog;	/* dialer program */
};

struct dvent *getdvent();
struct dvent *getdvbaud();
struct dvent *getdvline();
void enddvent();

/* vi: set tabstop=4 shiftwidth=4: */
/* end of dvent.h */
