/* CHK=0xC2D0 */
/*+-------------------------------------------------------------------------
	ecufkey.h -- AT XENIX/UNIX function key phrases
	wht%n4hgf@gatech.edu
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:05-07-1990-21:24-wht@n4hgf---- 2.80 --- */
/*:03-25-1990-14:11-wht@n4hgf------ x2.70 ------- */
/*:03-23-1990-14:19-wht@n4hgf-add KACT_REDISPLAY */
/*:07-03-1989-22:57-wht------ x2.00 ----- */
/*:06-24-1989-16:53-wht-flush edits --- ecu 1.95 */

#define KDE_F1		0
#define KDE_F2		1
#define KDE_F3		2
#define KDE_F4		3
#define KDE_F5		4
#define KDE_F6		5
#define KDE_F7		6
#define KDE_F8		7
#define KDE_F9		8
#define KDE_F10		9
#define KDE_F11		10
#define KDE_F12		11
#define KDE_CUU		12
#define KDE_CUD		13
#define KDE_CUL		14
#define KDE_CUR		15
#define KDE_CU5		16
#define KDE_PGUP	17
#define KDE_PGDN	18
#define KDE_END		19
#define KDE_INS		20
#define KDE_BKTAB	21
#define KDE_HOME	22

#define KDE_COUNT	23

#define KDE_LOGICAL_MAX		12
#define KDE_OUTSTR_MAX		10

typedef struct kde
{
	char logical[KDE_LOGICAL_MAX];
	uchar keyid;
	char outcount;
	char outstr[KDE_OUTSTR_MAX];
}	KDE;

/* when an outcount is not a count but an action: */
#define KACT_COMMAND			-1
#define KACT_LOCAL_SHELL		-2
#define KACT_REDISPLAY			-3

typedef struct XF_KDE_NAME
{
	uchar xf;
	char kde;
	char *name;
}	XF_KDE_NAME;

/* vi: set tabstop=4 shiftwidth=4: */
/* end of ecufkey.h */
